%global		revision	fcd686f1
%{expand:	%%global	archivename	gyp-%{version}%{?revision:-git%{revision}}}

Name:		gyp
Version:	0.1
Release:    2%{?dist}
Summary:	Generate Your Projects

License:	BSD-3-Clause
URL:		https://gyp.gsrc.io
Source0:	%{archivename}.tar.xz
Patch0:		gyp-rpmoptflags.patch
Patch1:		gyp-ninja-build.patch
Patch2:		gyp-python3.patch
Patch3:		gyp-python38.patch
Patch4:		gyp-fix-cmake.patch
Patch5:		gyp-python39.patch
Patch6:		gyp-fips.patch

BuildRequires:	python3-devel python3-setuptools
Requires:	python3-setuptools
BuildRequires:	gcc gcc-c++ ninja-build
BuildArch:	noarch

%description
GYP is a tool to generates native Visual Studio, Xcode and SCons
and/or make build files from a platform-independent input format.

Its syntax is a universal cross-platform build representation
that still allows sufficient per-platform flexibility to accommodate
irreconcilable differences.


%prep
%autosetup -p1 -c -n %{archivename}
for i in $(find pylib -name '*.py'); do
	sed -e '\,#![ \t]*/.*python,{d}' $i > $i.new && touch -r $i $i.new && mv $i.new $i
done

%build
%{__python3} setup.py build


%install
%{__python3} setup.py install --root %{buildroot} --skip-build


%check
%{__python3} gyptest.py test/hello/gyptest-all.py


%files
%license LICENSE
%doc AUTHORS
%{_bindir}/gyp
%{python3_sitelib}/*


%changelog
* Tue May 07 2024 Fanjun Kong <fanjunkong@tencent.com> - 0.1-2
- epol debrand

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1-1
- initial build
